package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAV1 extends MwfRequest<MWFAV1, MWFAV1Response> {

    @Parameter(name = "DuvodRozhodnuti_TypTextu")
    MWFAV1 duvodRozhodnutiTypTextu(String duvodRozhodnutiTypTextu);
    @Parameter(name = "INST_PT_KEY_IN")
    MWFAV1 instPtKeyIn(Long instPtKeyIn);
    @Parameter(name = "KlientRole")
    MWFAV1 klientRole(String klientRole);
    @Parameter(name = "VERIF_KONTEXT")
    MWFAV1 verifKontext(String verifKontext);
    @Parameter(name = "Zadost_KEY")
    MWFAV1 zadostKEY(Long zadostKEY);
    @Parameter(name = "ZobrazitDuvodRozhodnutiProExpresmana")
    MWFAV1 zobrazitDuvodRozhodnutiProExpresmana(Long zobrazitDuvodRozhodnutiProExpresmana);
}
